package com.rjconsultores.ventaboletos.web.utilerias.render;

import java.lang.reflect.InvocationTargetException;
import java.util.List;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;

import com.rjconsultores.ventaboletos.entidad.Ruta;
import com.rjconsultores.ventaboletos.vo.ruta.RutaVO;

public class RenderRutaPersonalizado extends RenderPersonalizado<Ruta> {

	public RenderRutaPersonalizado(List<String> colunas) {
		super(colunas);
	}

	@Override
	protected void incluirColunasRender(Listitem item, Object objeto) throws IllegalAccessException, InvocationTargetException {
		super.incluirColunasRender(item, objeto);
		Listcell lc = new Listcell(getOrgaoConcedente(objeto));
		lc.setParent(item);
	}

	private String getOrgaoConcedente(Object objeto) {
		try {
			if (objeto instanceof RutaVO) {
				return ((RutaVO)objeto).getOrgaoConcedente();
			}
			return ((Ruta)objeto).getOrgaoConcedente().getDescOrgao();
		} catch (NullPointerException e) {
			return "-";
		}
	}
}
